データベースのPostgreSQLは利用できますか?

はい。ご利用になれます。
バージョンに関しては下記ページをご参照ください。

【参考】Perl/PHP/apache/MySQLなど、各ソフトウェアのバージョンを教えてください。